
{: test that extending a file that is undefined causes a fatal error }

{d+}
program d1020( output );

var
   f  : text;
   f1 : text;
begin {d1020}
   rewrite(f1);
   extend(f1);  { OK - file created by rewrite }
   extend( f ); { !!! file not created yet }
   writeln( 'fails: undefined file not detected' );
end. { d1020 }

